package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危废出入库统计日报对象 t_waste_dangerday
 *
 * @author ruoyi
 * @date 2020-12-08
 */
public class TWasteDangerday extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "产废部门", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date incomingDate;

    /** 危废名称 */
    @Excel(name = "危险废品名称")
    private String name;

    /** 当月入库数量(ton) */
    @Excel(name = "入库数量")
    private Double incomingQuantity;

    /** 包装形式 */
    @Excel(name = "包装形式")
    private String packaging;

    /** 容器数量 */
    @Excel(name = "容器数量（个）")
    private Long containers;

    /** 存放位置 */
    @Excel(name = "存放位置")
    private String place;

    /** 接收人 */
    @Excel(name = "接收人")
    private String receiver;

    /** 出库数量 */
    @Excel(name = "出库数量")
    private Double deliveryQuantity;

    /** 出库方向 */
    @Excel(name = "出库方向")
    private String deliveryDirection;

    /** 经手人 */
    @Excel(name = "经手人")
    private String handler;

    /** 联系单 */
    @Excel(name = "联单号")
    private String sheetNumber;

    /** 物流 */
    @Excel(name = "物流公司")
    private String logistics;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carPlate;

    /** 司机 */
    @Excel(name = "司机")
    private String driver;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" , timezone = "GMT+8")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date incomingTime;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIncomingDate(Date incomingDate)
    {
        this.incomingDate = incomingDate;
    }

    public Date getIncomingDate()
    {
        return incomingDate;
    }
    public void setIncomingQuantity(Double incomingQuantity)
    {
        this.incomingQuantity = incomingQuantity;
    }

    public Double getIncomingQuantity()
    {
        return incomingQuantity;
    }
    public void setPackaging(String packaging)
    {
        this.packaging = packaging;
    }

    public String getPackaging()
    {
        return packaging;
    }
    public void setContainers(Long containers)
    {
        this.containers = containers;
    }

    public Long getContainers()
    {
        return containers;
    }
    public void setPlace(String place)
    {
        this.place = place;
    }

    public String getPlace()
    {
        return place;
    }
    public void setDeliveryQuantity(Double deliveryQuantity)
    {
        this.deliveryQuantity = deliveryQuantity;
    }

    public Double getDeliveryQuantity()
    {
        return deliveryQuantity;
    }
    public void setHandler(String handler)
    {
        this.handler = handler;
    }

    public String getHandler()
    {
        return handler;
    }
    public void setIncomingTime(Date incomingTime)
    {
        this.incomingTime = incomingTime;
    }

    public Date getIncomingTime()
    {
        return incomingTime;
    }
    public void setReceiver(String receiver)
    {
        this.receiver = receiver;
    }

    public String getReceiver()
    {
        return receiver;
    }
    public void setDeliveryDirection(String deliveryDirection)
    {
        this.deliveryDirection = deliveryDirection;
    }

    public String getDeliveryDirection()
    {
        return deliveryDirection;
    }
    public void setCarPlate(String carPlate)
    {
        this.carPlate = carPlate;
    }

    public String getCarPlate()
    {
        return carPlate;
    }
    public void setLogistics(String logistics)
    {
        this.logistics = logistics;
    }

    public String getLogistics()
    {
        return logistics;
    }
    public void setDriver(String driver)
    {
        this.driver = driver;
    }

    public String getDriver()
    {
        return driver;
    }
    public void setSheetNumber(String sheetNumber)
    {
        this.sheetNumber = sheetNumber;
    }

    public String getSheetNumber()
    {
        return sheetNumber;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setStartDate(Date startDate) { this.startDate = startDate; }

    public Date getStartDate() { return startDate; }
    public void setEndDate(Date endDate) { this.endDate = endDate; }

    public Date getEndDate() { return endDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("incomingDate", getIncomingDate())
            .append("incomingQuantity", getIncomingQuantity())
            .append("packaging", getPackaging())
            .append("containers", getContainers())
            .append("place", getPlace())
            .append("deliveryQuantity", getDeliveryQuantity())
            .append("handler", getHandler())
            .append("incomingTime", getIncomingTime())
            .append("receiver", getReceiver())
            .append("deliveryDirection", getDeliveryDirection())
            .append("carPlate", getCarPlate())
            .append("logistics", getLogistics())
            .append("driver", getDriver())
            .append("sheetNumber", getSheetNumber())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
